import React, { memo } from 'react';
import styles from './index.less';
import cx from 'classnames';
import configs, { ACTIONS } from './configs';
import editWhiteSvg from './svgs/edit_white.svg';
function ActionSheet(props) {
    const { isOut, isRoot, hasChildNodes, mobile = false } = props;
    return (React.createElement("div", { className: cx(styles['container'], mobile ? styles.isMobile : {}), style: { top: isOut ? 16 : 0 } }, configs.map((config) => {
        const { icon, action, type } = config;
        if (isRoot && type === ACTIONS.copy)
            return null;
        if (!hasChildNodes && type === ACTIONS.clear)
            return null;
        return (React.createElement("div", { className: styles['action-btn'], onClick: action, key: type },
            React.createElement("img", { src: mobile ? editWhiteSvg : icon, className: styles['action-icon'] })));
    })));
}
export default memo(ActionSheet);
